## hb-deprecated

hb-deprecated — Deprecated API

## Functions

hb_bool_t | (*hb_font_get_glyph_func_t) ()
hb_bool_t | hb_ot_layout_table_find_script ()
void | hb_font_funcs_set_glyph_h_kerning_func ()
void | hb_font_funcs_set_glyph_v_kerning_func ()
hb_position_t | hb_font_get_glyph_h_kerning ()
void | hb_font_get_glyph_kerning_for_direction ()
hb_position_t | (*hb_font_get_glyph_kerning_func_t) ()
hb_position_t | hb_font_get_glyph_v_kerning ()

## Types and Values

#define | HB_BUFFER_FLAGS_DEFAULT
#define | HB_BUFFER_SERIALIZE_FLAGS_DEFAULT
#define | HB_SCRIPT_CANADIAN_ABORIGINAL
#define | HB_OT_VAR_NO_AXIS_INDEX
#define | HB_UNICODE_MAX_DECOMPOSITION_LEN
typedef | hb_font_get_glyph_h_kerning_func_t
typedef | hb_font_get_glyph_v_kerning_func_t

## Includes

    #include <hb.h>

## Description

These API have been deprecated in favor of newer API, or because they were deemed unnecessary.

## Functions

### hb_font_get_glyph_func_t ()

    hb_bool_t
    (*hb_font_get_glyph_func_t) (hb_font_t *font,
                                 void *font_data,
                                 hb_codepoint_t unicode,
                                 hb_codepoint_t variation_selector,
                                 hb_codepoint_t *glyph,
                                 void *user_data);

`hb_font_get_glyph_func_t` is deprecated and should not be used in newly-written code.

### hb_ot_layout_table_find_script ()

    hb_bool_t
    hb_ot_layout_table_find_script (hb_face_t *face,
                                    hb_tag_t table_tag,
                                    hb_tag_t script_tag,
                                    unsigned int *script_index);

### hb_font_funcs_set_glyph_h_kerning_func ()

    void
    hb_font_funcs_set_glyph_h_kerning_func
                                   (hb_font_funcs_t *ffuncs,
                                    hb_font_get_glyph_h_kerning_func_t func,
                                    void *user_data,
                                    hb_destroy_func_t destroy);

`hb_font_funcs_set_glyph_h_kerning_func` has been deprecated since version 2.0.0 and should not be used in newly-written code.

#### Parameters

ffuncs | font functions. |
func | . | [closure user_data][destroy destroy][scope notified]

Since: 0.9.2

### hb_font_funcs_set_glyph_v_kerning_func ()

    void
    hb_font_funcs_set_glyph_v_kerning_func
                                   (hb_font_funcs_t *ffuncs,
                                    hb_font_get_glyph_v_kerning_func_t func,
                                    void *user_data,
                                    hb_destroy_func_t destroy);

`hb_font_funcs_set_glyph_v_kerning_func` has been deprecated since version 2.0.0 and should not be used in newly-written code.

#### Parameters

ffuncs | font functions. |
func | . | [closure user_data][destroy destroy][scope notified]

Since: 0.9.2

### hb_font_get_glyph_h_kerning ()

    hb_position_t
    hb_font_get_glyph_h_kerning (hb_font_t *font,
                                 hb_codepoint_t left_glyph,
                                 hb_codepoint_t right_glyph);

`hb_font_get_glyph_h_kerning` has been deprecated since version 2.0.0 and should not be used in newly-written code.

#### Parameters

font | a font. |

Since: 0.9.2

### hb_font_get_glyph_kerning_for_direction ()

    void
    hb_font_get_glyph_kerning_for_direction
                                   (hb_font_t *font,
                                    hb_codepoint_t first_glyph,
                                    hb_codepoint_t second_glyph,
                                    hb_direction_t direction,
                                    hb_position_t *x,
                                    hb_position_t *y);

`hb_font_get_glyph_kerning_for_direction` has been deprecated since version 2.0.0 and should not be used in newly-written code.

#### Parameters

font | a font. |
x | . | [out]
y | . | [out]

Since: 0.9.2

### hb_font_get_glyph_kerning_func_t ()

    hb_position_t
    (*hb_font_get_glyph_kerning_func_t) (hb_font_t *font,
                                         void *font_data,
                                         hb_codepoint_t first_glyph,
                                         hb_codepoint_t second_glyph,
                                         void *user_data);

`hb_font_get_glyph_kerning_func_t` is deprecated and should not be used in newly-written code.

### hb_font_get_glyph_v_kerning ()

    hb_position_t
    hb_font_get_glyph_v_kerning (hb_font_t *font,
                                 hb_codepoint_t top_glyph,
                                 hb_codepoint_t bottom_glyph);

`hb_font_get_glyph_v_kerning` has been deprecated since version 2.0.0 and should not be used in newly-written code.

#### Parameters

font | a font. |

Since: 0.9.2

## Types and Values

### HB_BUFFER_FLAGS_DEFAULT

    #define HB_BUFFER_FLAGS_DEFAULT			HB_BUFFER_FLAG_DEFAULT

`HB_BUFFER_FLAGS_DEFAULT` is deprecated and should not be used in newly-written code.

### HB_BUFFER_SERIALIZE_FLAGS_DEFAULT

    #define HB_BUFFER_SERIALIZE_FLAGS_DEFAULT HB_BUFFER_SERIALIZE_FLAG_DEFAULT

`HB_BUFFER_SERIALIZE_FLAGS_DEFAULT` is deprecated and should not be used in newly-written code.

### HB_SCRIPT_CANADIAN_ABORIGINAL

    #define HB_SCRIPT_CANADIAN_ABORIGINAL		HB_SCRIPT_CANADIAN_SYLLABICS

`HB_SCRIPT_CANADIAN_ABORIGINAL` is deprecated and should not be used in newly-written code.

### HB_OT_VAR_NO_AXIS_INDEX

    #define HB_OT_VAR_NO_AXIS_INDEX		0xFFFFFFFFu

`HB_OT_VAR_NO_AXIS_INDEX` has been deprecated since version 2.2.0 and should not be used in newly-written code.

Since: 1.4.2

### HB_UNICODE_MAX_DECOMPOSITION_LEN

    #define HB_UNICODE_MAX_DECOMPOSITION_LEN (18+1) /* codepoints */

`HB_UNICODE_MAX_DECOMPOSITION_LEN` has been deprecated since version 2.0.0 and should not be used in newly-written code.

See Unicode 6.1 for details on the maximum decomposition length.

### hb_font_get_glyph_h_kerning_func_t

    typedef hb_font_get_glyph_kerning_func_t hb_font_get_glyph_h_kerning_func_t;

`hb_font_get_glyph_h_kerning_func_t` is deprecated and should not be used in newly-written code.

### hb_font_get_glyph_v_kerning_func_t

    typedef hb_font_get_glyph_kerning_func_t hb_font_get_glyph_v_kerning_func_t;

`hb_font_get_glyph_v_kerning_func_t` is deprecated and should not be used in newly-written code.